com.corticon.rulesemf.asg

## Interface Term

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface Term
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Term'.

  The following features are supported:

  - `Text`
  - `Datatype`
  - `Termtype`
  - `Fulltext`
  - `Parent Term`
  - `Variable`
  See Also:
    `AsgPackage.getTerm()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatatype()` Returns the value of the 'Datatype' attribute
    `java.lang.String` | `getFulltext()` Returns the value of the 'Fulltext' attribute
    `Term` | `getParentTerm()` Returns the value of the 'Parent Term' containment reference
    `java.lang.String` | `getTermtype()` Returns the value of the 'Termtype' attribute
    `java.lang.String` | `getText()` Returns the value of the 'Text' attribute
    `Variable` | `getVariable()` Returns the value of the 'Variable' reference
    `void` | `setDatatype(java.lang.String value)` Sets the value of the '`Datatype`' attribute
    `void` | `setFulltext(java.lang.String value)` Sets the value of the '`Fulltext`' attribute
    `void` | `setParentTerm(Term value)` Sets the value of the '`Parent Term`' containment reference
    `void` | `setTermtype(java.lang.String value)` Sets the value of the '`Termtype`' attribute
    `void` | `setText(java.lang.String value)` Sets the value of the '`Text`' attribute
    `void` | `setVariable(Variable value)` Sets the value of the '`Variable`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      Returns the value of the 'Text' attribute.

      If the meaning of the 'Text' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' attribute.
      See Also:
        `setText(String)`, `AsgPackage.getTerm_Text()`

    - #### setText

          void setText(java.lang.String value)

      Sets the value of the '`Text`' attribute.
      Parameters:
        `value` - the new value of the 'Text' attribute.
      See Also:
        `getText()`

    - #### getDatatype

          java.lang.String getDatatype()

      Returns the value of the 'Datatype' attribute.

      If the meaning of the 'Datatype' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Datatype' attribute.
      See Also:
        `setDatatype(String)`, `AsgPackage.getTerm_Datatype()`

    - #### setDatatype

          void setDatatype(java.lang.String value)

      Sets the value of the '`Datatype`' attribute.
      Parameters:
        `value` - the new value of the 'Datatype' attribute.
      See Also:
        `getDatatype()`

    - #### getTermtype

          java.lang.String getTermtype()

      Returns the value of the 'Termtype' attribute.

      If the meaning of the 'Termtype' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Termtype' attribute.
      See Also:
        `setTermtype(String)`, `AsgPackage.getTerm_Termtype()`

    - #### setTermtype

          void setTermtype(java.lang.String value)

      Sets the value of the '`Termtype`' attribute.
      Parameters:
        `value` - the new value of the 'Termtype' attribute.
      See Also:
        `getTermtype()`

    - #### getFulltext

          java.lang.String getFulltext()

      Returns the value of the 'Fulltext' attribute.

      If the meaning of the 'Fulltext' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Fulltext' attribute.
      See Also:
        `setFulltext(String)`, `AsgPackage.getTerm_Fulltext()`

    - #### setFulltext

          void setFulltext(java.lang.String value)

      Sets the value of the '`Fulltext`' attribute.
      Parameters:
        `value` - the new value of the 'Fulltext' attribute.
      See Also:
        `getFulltext()`

    - #### getParentTerm

          Term getParentTerm()

      Returns the value of the 'Parent Term' containment reference.

      If the meaning of the 'Parent Term' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parent Term' containment reference.
      See Also:
        `setParentTerm(Term)`, `AsgPackage.getTerm_ParentTerm()`

    - #### setParentTerm

          void setParentTerm(Term value)

      Sets the value of the '`Parent Term`' containment reference.
      Parameters:
        `value` - the new value of the 'Parent Term' containment reference.
      See Also:
        `getParentTerm()`

    - #### getVariable

          Variable getVariable()

      Returns the value of the 'Variable' reference.

      If the meaning of the 'Variable' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Variable' reference.
      See Also:
        `setVariable(Variable)`, `AsgPackage.getTerm_Variable()`

    - #### setVariable

          void setVariable(Variable value)

      Sets the value of the '`Variable`' reference.
      Parameters:
        `value` - the new value of the 'Variable' reference.
      See Also:
        `getVariable()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.